Loading...
Searching...
No Matches
mbedtls_psa_cipher_operation_t Struct Reference

`#include <crypto_builtin_primitives.h>`

Collaboration diagram for mbedtls_psa_cipher_operation_t:
[legend]

## Data Fields

psa_algorithm_t | alg
uint8_t | iv_length
uint8_t | block_length
union { |
unsigned int dummy |
mbedtls_cipher_context_t cipher |
} | ctx |

## Detailed Description

Definition at line 98 of file crypto_builtin_primitives.h.

## Field Documentation

## alg

psa_algorithm_t mbedtls_psa_cipher_operation_t::alg

Definition at line 100 of file crypto_builtin_primitives.h.

## block_length

uint8_t mbedtls_psa_cipher_operation_t::block_length

Definition at line 102 of file crypto_builtin_primitives.h.

## cipher

mbedtls_cipher_context_t mbedtls_psa_cipher_operation_t::cipher

Definition at line 105 of file crypto_builtin_primitives.h.

## [union]

union { ... } mbedtls_psa_cipher_operation_t::ctx

## dummy

unsigned int mbedtls_psa_cipher_operation_t::dummy

Definition at line 104 of file crypto_builtin_primitives.h.

## iv_length

uint8_t mbedtls_psa_cipher_operation_t::iv_length

Definition at line 101 of file crypto_builtin_primitives.h.

The documentation for this struct was generated from the following file:

- crypto_builtin_primitives.h